"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableSection = void 0;
var react_1 = __importStar(require("react"));
var table_1 = __importDefault(require("../controls/antd/table"));
var lodash_1 = require("lodash");
var primeobjects_ui_web_basic_1 = require("primeobjects-ui-web-basic");
var TableSection = function (props) {
    var id = props.id, columns = props.columns, selectionType = props.selectionType, data = props.data, minWidth = props.minWidth, scrollbarX = props.scrollbarX;
    var prevWidth = (0, react_1.useRef)(0);
    var curWidth = (0, react_1.useRef)(0);
    var _a = (0, react_1.useState)(0), width = _a[0], setWidth = _a[1];
    var rowSelection = {
        onChange: function (selectedRowKeys, selectedRows) {
            if (props.onRowSelected)
                props.onRowSelected(selectedRowKeys, selectedRows);
        }
    };
    var onResize = function (width) {
        if (!scrollbarX)
            return;
        //When make the table smaller, the width always need -20px to make it right
        //When make the table larger, the width is correct.
        //This could be some styling in Ant does not work properly in React
        //We have to use a stupid solution here to solve it
        curWidth.current = width ? width : 0;
        var tableWrapper = document.getElementById(id);
        var tableBody = tableWrapper &&
            tableWrapper.getElementsByClassName("ant-table-body");
        var table = tableBody &&
            tableBody.length > 0 &&
            tableBody[0].getElementsByTagName("table");
        if (table && table.length > 0) {
            if (curWidth.current < prevWidth.current) {
                curWidth.current = curWidth.current - 20;
            }
            table[0].style.width = "".concat(curWidth.current, "px");
            tableBody[0].style.width = "".concat(curWidth.current, "px");
            prevWidth.current = curWidth.current;
            updateWidth();
        }
    };
    var updateWidth = function () {
        var newWidth = (0, lodash_1.isNumber)(minWidth)
            ? minWidth > curWidth.current
                ? minWidth
                : curWidth.current
            : curWidth.current;
        setWidth(newWidth);
    };
    return (react_1.default.createElement(primeobjects_ui_web_basic_1.ResizeDetectorDiv, { className: "w-full", onDetect: onResize },
        react_1.default.createElement(table_1.default, { id: id, rowKey: "id", rowSelection: !selectionType
                ? undefined
                : __assign({ type: selectionType }, rowSelection), scroll: scrollbarX && (0, lodash_1.isNumber)(width) ? { x: width } : {}, sticky: { offsetHeader: 0 }, pagination: false, columns: columns, footer: props.footer, dataSource: __spreadArray([], data, true) })));
};
exports.TableSection = TableSection;
exports.default = exports.TableSection;
//# sourceMappingURL=table.js.map