//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import Tooltip from "./antd/tooltip";
import { COLORS } from "primeobjects-helper-util";
import { SVG } from "primeobjects-ui-web-basic";
export var ActionButton = function (props) {
    var doingIconColor = props.doingIconColor, doing = props.doing;
    var wrapperClassName = props.wrapperClassName
        ? props.wrapperClassName
        : "";
    var wrapperStyle = props.wrapperStyle ? props.wrapperStyle : {};
    var tooltipPlacement = props.tooltipPlacement
        ? props.tooltipPlacement
        : "bottom";
    var color = props.color ? props.color : COLORS.GRAY;
    var iconColor = props.iconColor
        ? props.iconColor
        : COLORS.GRAY;
    var textColor = props.textColor ? props.textColor : COLORS.GRAY;
    var tooltipMouseLeaveDelay = props.tooltipMouseLeaveDelay
        ? props.tooltipMouseLeaveDelay
        : 0.1;
    var tooltipMouseEnterDelay = props.tooltipMouseEnterDelay
        ? props.tooltipMouseEnterDelay
        : 0.1;
    var renderActionButton = function () {
        return (React.createElement("div", { id: props.id, style: wrapperStyle, className: "flex rounded-md cursor-pointer ml-2 h-6 px-2 py-4 shadow hover:shadow-lg text-white justify-center items-center leading-none ".concat(wrapperClassName), onClick: function () { return props.onClick && props.onClick(); } },
            props.iconSrc && !doing && (React.createElement(SVG, { id: "".concat(props.id, "-svg"), src: props.iconSrc, size: 20, color: "".concat(iconColor["900"] ? iconColor["900"] : iconColor) })),
            props.doing && (React.createElement(SVG, { id: "".concat(props.id, "-doing-svg"), src: "/icons/platform/spinner.svg", size: 16, color: doingIconColor ? doingIconColor : COLORS.WHITE, className: "spinner mr-1" })),
            props.text && (React.createElement("span", { className: "whitespace-nowrap ".concat(props.iconSrc ? "ml-1" : ""), style: {
                    color: "".concat(textColor["900"] ? textColor["900"] : textColor)
                } }, props.text))));
    };
    return props.tooltipText ? (React.createElement(Tooltip, { color: color["500"], placement: tooltipPlacement, title: props.tooltipText, mouseEnterDelay: tooltipMouseEnterDelay, mouseLeaveDelay: tooltipMouseLeaveDelay }, renderActionButton())) : (renderActionButton());
};
export default ActionButton;
//# sourceMappingURL=action-button.js.map