//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import { getWindow, isSSR } from "primeobjects-helper-util";
import tippy from "tippy.js";
export var handleReadModeTooltips = function (record) {
    var win = getWindow();
    var anchors = win.document.getElementsByTagName("a");
    if (record && record.content_tooltips && !isSSR()) {
        for (var i = 0; i < anchors.length; i++) {
            var anchor = anchors[i];
            var href = "".concat(anchor.getAttribute("href"));
            if (href.indexOf("tooltip-") >= 0) {
                var id = href.replace("tooltip-", "");
                var content = record.content_tooltips[id];
                if (content) {
                    anchor.setAttribute("id", "_".concat(id));
                    anchor.setAttribute("content", content);
                    anchor.setAttribute("href", "#");
                    anchor.setAttribute("className", "tooltip");
                    tippy("#_".concat(id), {
                        content: "loading ...",
                        theme: "light",
                        placement: "top",
                        arrow: false,
                        onShow: function (instance) {
                            var t = document.getElementById(instance.reference.id);
                            if (t) {
                                instance.setContent("".concat(t.getAttribute("content")));
                            }
                        },
                        allowHTML: true
                    });
                }
            }
        }
    }
};
export var checkPageError = function (props) {
    var solution = props.solution;
    if (!solution.id)
        return "Failed to load solution profile";
    return undefined;
};
//# sourceMappingURL=util.js.map